Page MenuHomePhabricator

[ASTImporter] Fix for import of friend class template with definition.
ClosedPublic

Authored by balazske on Jul 25 2019, 2:28 AM.

Details

Summary

If there is a friend class template "prototype" (forward declaration)
and later a definition for it in the existing code, this existing
definition may be not found by ASTImporter because it is not linked
to the prototype (under the friend AST node). The problem is fixed by
looping over all found matching decls instead of break after the first
found one.

Diff Detail

Repository
rL LLVM

Event Timeline

balazske created this revision.Jul 25 2019, 2:28 AM
a_sidorin accepted this revision.Aug 11 2019, 3:58 PM

LGTM, thanks!

This revision is now accepted and ready to land.Aug 11 2019, 3:58 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 12 2019, 3:07 AM